# jellyfin-notification-webhook

## Summary

Webhook for processing Jellyfin notifications.
It used `webhook` (see below) to receive the notification payload, and then `ntfy` to send the prepared notification.

## Why

There is no Jellyfin plugin that supports `ntfy`, my chosen notification service.
While there is a generic webhook plugin for Jellyfin, editing and troubleshooting it is tedious and error-prone.

## Setup

1. Copy the content of `hooks.json` file to your your `webhook` configuration file.
2. In Jellyfin, install the Webhook notification plugin.
3. Restart Jellyfin.
4. Navigate to the plugin configuration page and click on `Add Generic Destination`.
5. Set webhook URL to: `$WEBHOOK_URL/hooks/jellyfin-receive` (this hook ID is set in `hooks.json`).
6. Check these `Notification Type`:
    - Authentication Failure
    - Item Added
    - Pending Restart
    - Plugin Uninstalled
    - User Deleted
    - User Locked Out
7. Lastly, check the `Send All Properties (ignores template)` checkbox.
8. Copy the `jellyfin.sh` script to your `webhook` script folder.
9. Add the `execute` permission to it, for example by running `chmod +x jellyfin.sh`.
10. Edit the `jellyfin.sh` script, adjusting the values of `NTFY_SERVER_URL` and `NTFY_CHANNEL` based on your setup.

## Links

* https://github.com/adnanh/webhook
* https://github.com/binwiederhier/ntfy